HFontCapabilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HFontCapabilities

    java.lang.Object
      org.havi.ui.HFontCapabilities

    public class HFontCapabilities

extends Object

The `HFontCapabilities` class allows applications to query the rendering support for various character ranges and individual characters within specified fonts.

Field Summary
`static int` | `ALPHABETIC_PRESENTATION_FORMS_A` This corresponds to the character range (U+FB00..U+FB4F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ARABIC_EXTENDED` This corresponds to the character range (U+653..U+6FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ARABIC_PRESENTATION_FORMS_A` This corresponds to the character range (U+FB50..U+FDFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ARABIC_PRESENTATION_FORMS_B` This corresponds to the character range (U+FE70..U+FEFE) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ARMENIAN` This corresponds to the character range (U+530..U+58F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ARROWS` This corresponds to the character range (U+2190..U+21FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BASIC_ARABIC` This corresponds to the character range (U+600..U+652) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BASIC_GEORGIAN` This corresponds to the character range (U+10D0..U+10FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BASIC_GREEK` This corresponds to the character range (U+0370..U+03CF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BASIC_HEBREW` This corresponds to the character range (U+5D0..U+5EA) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BASIC_LATIN` This corresponds to the character range (U+0020..U+007E) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BENGALI` This corresponds to the character ranges (U+980..U+9FF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BLOCK_ELEMENTS` This corresponds to the character range (U+2580..U+259F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BOPOMOFO` This corresponds to the character range (U+3100..U+312F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `BOX_DRAWING` This corresponds to the character range (U+2500..U+257F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_COMPATIBILITY` This corresponds to the character range (U+3300..U+33FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_COMPATIBILITY_FORMS` This corresponds to the character range (U+FE30..U+FE4F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_COMPATIBILITY_IDEOGRAPHS` This corresponds to the character range (U+F900..U+FAFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_MISCELLANEOUS` This corresponds to the character range (U+3190..U+319F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_SYMBOLS_AND_PUNCTUATION` This corresponds to the character range (U+3000..U+303F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CJK_UNIFIED_IDEOGRAPHS` This corresponds to the character range (U+4E00..U+9FFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `COMBINING_DIACRITICAL_MARKS` This corresponds to the character range (U+0300..U+036F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `COMBINING_DIACTRICAL_MARKS_FOR_SYMBOLS` This corresponds to the character range (U+20D0..U+20FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `COMBINING_HALF_MARKS` This corresponds to the character range (U+FE20..U+FE2F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CONTROL_PICTURES` This corresponds to the character range (U+2400..U+243F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CURRENCY_SYMBOLS` This corresponds to the character range (U+20A0..U+20CF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `CYRILLIC` This corresponds to the character range (U+400..U+4FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `DEVANAGARI` This corresponds to the character ranges (U+0900..U+097F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `DINGBATS` This corresponds to the character range (U+2700..U+27BF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ENCLOSED_ALPHANUMERICS` This corresponds to the character range (U+2460..U+24FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ENCLOSED_CJK_LETTERS_AND_MONTHS` This corresponds to the character range (U+3200..U+32FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GENERAL_PUNCTUATION` This corresponds to the character range (U+2000..U+206F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GEOMETRICAL_SHAPES` This corresponds to the character range (U+25A0..U+25FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GEORGIAN_EXTENDED` This corresponds to the character range (U+10A0..U+10CF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GREEK_EXTENDED` This corresponds to the character range (U+1F00..U+1FFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GREEK_SYMBOLS_AND_COPTIC` This corresponds to the character range (U+3D0..U+3FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GUJARATI` This corresponds to the character ranges (U+0A80..U+0AFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `GURMUKHI` This corresponds to the character ranges (U+0A00..U+0A7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HALFWIDTH_AND_FULLWIDTH_FORMS` This corresponds to the character range (U+FF00..U+FFEF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HANGUL` This corresponds to the character range (U+3400..U+3D2D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HANGUL_COMPATIBILITY_JAMO` This corresponds to the character range (U+3130..U+318F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HANGUL_JAMO` This corresponds to the character range (U+1100..U+11FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HANGUL_SUPPLEMENTARY_A` This corresponds to the character range (U+3D2E..U+44B7) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HANGUL_SUPPLEMENTARY_B` This corresponds to the character range (U+44B8..U+4DFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HEBREW_EXTENDED` This corresponds to the character ranges (U+590..U+5CF) and (U+5EB..U+5FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `HIRAGANA` This corresponds to the character range (U+3040..U+309F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `IPA_EXTENSIONS` This corresponds to the character range (U+0250..U+02AF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `KANNADA` This corresponds to the character ranges (U+0C80..U+0CFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `KATAKANA` This corresponds to the character range (U+30A0..U+30FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LAO` This corresponds to the character range (U+0E80..U+0EFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LATIN_1_SUPPLEMENT` This corresponds to the character range (U+00A0..U+00FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LATIN_EXTENDED_A` This corresponds to the character range (U+0100..U+017F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LATIN_EXTENDED_ADDITIONAL` This corresponds to the character range (U+1E00..U+1EFF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LATIN_EXTENDED_B` This corresponds to the character range (U+0180..U+024F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `LETTERLIKE_SYMBOLS` This corresponds to the character range (U+2100..U+214F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `MALAYALAM` This corresponds to the character ranges (U+0D00..U+0D7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `MATHEMATICAL_OPERATORS` This corresponds to the character range (U+2200..U+22FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `MISCELLANEOUS_SYMBOLS` This corresponds to the character range (U+2600..U+26FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `MISCELLANEOUS_TECHNICAL` This corresponds to the character range (U+2300..U+23FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `NUMBER_FORMS` This corresponds to the character range (U+2150..U+218F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `OPTICAL_CHARACTER_RECOGNITION` This corresponds to the character range (U+2440..U+245F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `ORIYA` This corresponds to the character ranges (U+0B00..U+0B7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `PRIVATE_USE_AREA` This corresponds to the character range (U+E000..U+F8FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `SMALL_FORM_VARIANTS` This corresponds to the character range (U+FE50..U+FE6F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `SPACING_MODIFIER_LETTERS` This corresponds to the character range (U+02B0..U+02FF) as defined in ISO 10646-1(E) normative Annex A
`static int` | `SPECIALS` This corresponds to the character range (U+FFF0..U+FFFD) as defined in ISO 10646-1(E) normative Annex A
`static int` | `SUPERSCRIPTS_AND_SUBSCRIPTS` This corresponds to the character range (U+2070..U+209F) as defined in ISO 10646-1(E) normative Annex A
`static int` | `TAMIL` This corresponds to the character ranges (U+0B80..U+0BFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `TELUGU` This corresponds to the character ranges (U+0C00..U+0C7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A
`static int` | `THAI` This corresponds to the character range (U+0E00..U+0E7F) as defined in ISO 10646-1(E) normative Annex A

Method Summary
`static int[]` | `getSupportedCharacterRanges(Font font)` Returns the set of character ranges as defined in ISO 10646-1(E) normative Annex A that this font supports, or a null array if the capabilities of the font are unknown.
`static boolean` | `isCharAvailable(Font font, char c)` Returns whether a specific character is available within the specified font, and can be used as defined in ISO 10646-1(E) specification by the rendering system, e.g.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASIC_LATIN

    public static final int BASIC_LATIN

  This corresponds to the character range (U+0020..U+007E) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LATIN_1_SUPPLEMENT

    public static final int LATIN_1_SUPPLEMENT

  This corresponds to the character range (U+00A0..U+00FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LATIN_EXTENDED_A

    public static final int LATIN_EXTENDED_A

  This corresponds to the character range (U+0100..U+017F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LATIN_EXTENDED_B

    public static final int LATIN_EXTENDED_B

  This corresponds to the character range (U+0180..U+024F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### IPA_EXTENSIONS

    public static final int IPA_EXTENSIONS

  This corresponds to the character range (U+0250..U+02AF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### SPACING_MODIFIER_LETTERS

    public static final int SPACING_MODIFIER_LETTERS

  This corresponds to the character range (U+02B0..U+02FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### COMBINING_DIACRITICAL_MARKS

    public static final int COMBINING_DIACRITICAL_MARKS

  This corresponds to the character range (U+0300..U+036F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BASIC_GREEK

    public static final int BASIC_GREEK

  This corresponds to the character range (U+0370..U+03CF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GREEK_SYMBOLS_AND_COPTIC

    public static final int GREEK_SYMBOLS_AND_COPTIC

  This corresponds to the character range (U+3D0..U+3FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CYRILLIC

    public static final int CYRILLIC

  This corresponds to the character range (U+400..U+4FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ARMENIAN

    public static final int ARMENIAN

  This corresponds to the character range (U+530..U+58F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BASIC_HEBREW

    public static final int BASIC_HEBREW

  This corresponds to the character range (U+5D0..U+5EA) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HEBREW_EXTENDED

    public static final int HEBREW_EXTENDED

  This corresponds to the character ranges (U+590..U+5CF) and (U+5EB..U+5FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BASIC_ARABIC

    public static final int BASIC_ARABIC

  This corresponds to the character range (U+600..U+652) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ARABIC_EXTENDED

    public static final int ARABIC_EXTENDED

  This corresponds to the character range (U+653..U+6FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### DEVANAGARI

    public static final int DEVANAGARI

  This corresponds to the character ranges (U+0900..U+097F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BENGALI

    public static final int BENGALI

  This corresponds to the character ranges (U+980..U+9FF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GURMUKHI

    public static final int GURMUKHI

  This corresponds to the character ranges (U+0A00..U+0A7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GUJARATI

    public static final int GUJARATI

  This corresponds to the character ranges (U+0A80..U+0AFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ORIYA

    public static final int ORIYA

  This corresponds to the character ranges (U+0B00..U+0B7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### TAMIL

    public static final int TAMIL

  This corresponds to the character ranges (U+0B80..U+0BFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### TELUGU

    public static final int TELUGU

  This corresponds to the character ranges (U+0C00..U+0C7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### KANNADA

    public static final int KANNADA

  This corresponds to the character ranges (U+0C80..U+0CFF) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### MALAYALAM

    public static final int MALAYALAM

  This corresponds to the character ranges (U+0D00..U+0D7F) and (U+200C..U+200D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### THAI

    public static final int THAI

  This corresponds to the character range (U+0E00..U+0E7F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LAO

    public static final int LAO

  This corresponds to the character range (U+0E80..U+0EFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BASIC_GEORGIAN

    public static final int BASIC_GEORGIAN

  This corresponds to the character range (U+10D0..U+10FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GEORGIAN_EXTENDED

    public static final int GEORGIAN_EXTENDED

  This corresponds to the character range (U+10A0..U+10CF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HANGUL_JAMO

    public static final int HANGUL_JAMO

  This corresponds to the character range (U+1100..U+11FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LATIN_EXTENDED_ADDITIONAL

    public static final int LATIN_EXTENDED_ADDITIONAL

  This corresponds to the character range (U+1E00..U+1EFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GREEK_EXTENDED

    public static final int GREEK_EXTENDED

  This corresponds to the character range (U+1F00..U+1FFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GENERAL_PUNCTUATION

    public static final int GENERAL_PUNCTUATION

  This corresponds to the character range (U+2000..U+206F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### SUPERSCRIPTS_AND_SUBSCRIPTS

    public static final int SUPERSCRIPTS_AND_SUBSCRIPTS

  This corresponds to the character range (U+2070..U+209F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CURRENCY_SYMBOLS

    public static final int CURRENCY_SYMBOLS

  This corresponds to the character range (U+20A0..U+20CF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### COMBINING_DIACTRICAL_MARKS_FOR_SYMBOLS

    public static final int COMBINING_DIACTRICAL_MARKS_FOR_SYMBOLS

  This corresponds to the character range (U+20D0..U+20FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### LETTERLIKE_SYMBOLS

    public static final int LETTERLIKE_SYMBOLS

  This corresponds to the character range (U+2100..U+214F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### NUMBER_FORMS

    public static final int NUMBER_FORMS

  This corresponds to the character range (U+2150..U+218F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ARROWS

    public static final int ARROWS

  This corresponds to the character range (U+2190..U+21FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### MATHEMATICAL_OPERATORS

    public static final int MATHEMATICAL_OPERATORS

  This corresponds to the character range (U+2200..U+22FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### MISCELLANEOUS_TECHNICAL

    public static final int MISCELLANEOUS_TECHNICAL

  This corresponds to the character range (U+2300..U+23FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CONTROL_PICTURES

    public static final int CONTROL_PICTURES

  This corresponds to the character range (U+2400..U+243F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### OPTICAL_CHARACTER_RECOGNITION

    public static final int OPTICAL_CHARACTER_RECOGNITION

  This corresponds to the character range (U+2440..U+245F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ENCLOSED_ALPHANUMERICS

    public static final int ENCLOSED_ALPHANUMERICS

  This corresponds to the character range (U+2460..U+24FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BOX_DRAWING

    public static final int BOX_DRAWING

  This corresponds to the character range (U+2500..U+257F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BLOCK_ELEMENTS

    public static final int BLOCK_ELEMENTS

  This corresponds to the character range (U+2580..U+259F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### GEOMETRICAL_SHAPES

    public static final int GEOMETRICAL_SHAPES

  This corresponds to the character range (U+25A0..U+25FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### MISCELLANEOUS_SYMBOLS

    public static final int MISCELLANEOUS_SYMBOLS

  This corresponds to the character range (U+2600..U+26FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### DINGBATS

    public static final int DINGBATS

  This corresponds to the character range (U+2700..U+27BF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_SYMBOLS_AND_PUNCTUATION

    public static final int CJK_SYMBOLS_AND_PUNCTUATION

  This corresponds to the character range (U+3000..U+303F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HIRAGANA

    public static final int HIRAGANA

  This corresponds to the character range (U+3040..U+309F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### KATAKANA

    public static final int KATAKANA

  This corresponds to the character range (U+30A0..U+30FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### BOPOMOFO

    public static final int BOPOMOFO

  This corresponds to the character range (U+3100..U+312F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HANGUL_COMPATIBILITY_JAMO

    public static final int HANGUL_COMPATIBILITY_JAMO

  This corresponds to the character range (U+3130..U+318F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_MISCELLANEOUS

    public static final int CJK_MISCELLANEOUS

  This corresponds to the character range (U+3190..U+319F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ENCLOSED_CJK_LETTERS_AND_MONTHS

    public static final int ENCLOSED_CJK_LETTERS_AND_MONTHS

  This corresponds to the character range (U+3200..U+32FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_COMPATIBILITY

    public static final int CJK_COMPATIBILITY

  This corresponds to the character range (U+3300..U+33FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HANGUL

    public static final int HANGUL

  This corresponds to the character range (U+3400..U+3D2D) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HANGUL_SUPPLEMENTARY_A

    public static final int HANGUL_SUPPLEMENTARY_A

  This corresponds to the character range (U+3D2E..U+44B7) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HANGUL_SUPPLEMENTARY_B

    public static final int HANGUL_SUPPLEMENTARY_B

  This corresponds to the character range (U+44B8..U+4DFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_UNIFIED_IDEOGRAPHS

    public static final int CJK_UNIFIED_IDEOGRAPHS

  This corresponds to the character range (U+4E00..U+9FFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### PRIVATE_USE_AREA

    public static final int PRIVATE_USE_AREA

  This corresponds to the character range (U+E000..U+F8FF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_COMPATIBILITY_IDEOGRAPHS

    public static final int CJK_COMPATIBILITY_IDEOGRAPHS

  This corresponds to the character range (U+F900..U+FAFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ALPHABETIC_PRESENTATION_FORMS_A

    public static final int ALPHABETIC_PRESENTATION_FORMS_A

  This corresponds to the character range (U+FB00..U+FB4F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ARABIC_PRESENTATION_FORMS_A

    public static final int ARABIC_PRESENTATION_FORMS_A

  This corresponds to the character range (U+FB50..U+FDFF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### COMBINING_HALF_MARKS

    public static final int COMBINING_HALF_MARKS

  This corresponds to the character range (U+FE20..U+FE2F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### CJK_COMPATIBILITY_FORMS

    public static final int CJK_COMPATIBILITY_FORMS

  This corresponds to the character range (U+FE30..U+FE4F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### SMALL_FORM_VARIANTS

    public static final int SMALL_FORM_VARIANTS

  This corresponds to the character range (U+FE50..U+FE6F) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### ARABIC_PRESENTATION_FORMS_B

    public static final int ARABIC_PRESENTATION_FORMS_B

  This corresponds to the character range (U+FE70..U+FEFE) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### HALFWIDTH_AND_FULLWIDTH_FORMS

    public static final int HALFWIDTH_AND_FULLWIDTH_FORMS

  This corresponds to the character range (U+FF00..U+FFEF) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

### SPECIALS

    public static final int SPECIALS

  This corresponds to the character range (U+FFF0..U+FFFD) as defined in ISO 10646-1(E) normative Annex A

  See Also:
    Constant Field Values

Method Detail

### getSupportedCharacterRanges

    public static int[] getSupportedCharacterRanges(Font font)

  Returns the set of character ranges as defined in ISO 10646-1(E) normative Annex A that this font supports, or a null array if the capabilities of the font are unknown.

  Support for a character range does not imply that ALL characters within that range are available in the specified font.

  When deciding whether a particular character range (U+XXXX..U+YYYY) is supported, characters which are in the `GENERAL PUNCTUATION` range shall not be considered for character ranges other than `GENERAL PUNCTUATION`.

  Parameters:
    `font` - The font to query for its support for character ranges as specified by ISO 10646-1.
  Returns:
    An array of integer values, as defined in ISO 10646-1(E) normative Annex A that this font supports, or null including where the capabilities of the font are unknown.

### isCharAvailable

    public static boolean isCharAvailable(Font font,
                                          char c)

  Returns whether a specific character is available within the specified font, and can be used as defined in ISO 10646-1(E) specification by the rendering system, e.g. if rendering of bi-directional text, using `BI-DIRECTIONAL_FORMAT_MARKS` is supported

  Parameters:
    `font` - The font to query for its support for the specified character.
    `c` - The character whose presence should be tested.
  Returns:
    true is the character is available within the font and can be rendered as defined in the ISO 10646-1(E) specification, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD